package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-07-05
 */
public enum HotSearchEnum implements BaseEnum<String,HotSearchEnum> {

    MUSIC("曲目和专辑"),
    COURSE("课程");
    @EnumValue
    private String code;
    private String name;

    HotSearchEnum(String name) {
        this.code = this.name();
        this.name = name;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getName() {
        return name;
    }
}
